Skip to main content
POST
/
accounting
/
bill_payments
Create Bill Payment
curl --request POST \
  --url https://api.rootfi.dev/accounting/bill_payments \
  --header 'Content-Type: application/json' \
  --header 'api_key: <api-key>' \
  --data '
{
  "company_id": 1,
  "data": [
    {
      "bill_id": "123456",
      "contact_id": "123456",
      "amount": 100,
      "account_id": "123456",
      "payment_date": "2021-09-28T15:00:00.000Z",
      "document_number": "ROOTFI01",
      "memo": "Test Memo"
    }
  ]
}
'
import requests

url = "https://api.rootfi.dev/accounting/bill_payments"

payload = {
"company_id": 1,
"data": [
{
"bill_id": "123456",
"contact_id": "123456",
"amount": 100,
"account_id": "123456",
"payment_date": "2021-09-28T15:00:00.000Z",
"document_number": "ROOTFI01",
"memo": "Test Memo"
}
]
}
headers = {
"api_key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {api_key: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
company_id: 1,
data: [
{
bill_id: '123456',
contact_id: '123456',
amount: 100,
account_id: '123456',
payment_date: '2021-09-28T15:00:00.000Z',
document_number: 'ROOTFI01',
memo: 'Test Memo'
}
]
})
};

fetch('https://api.rootfi.dev/accounting/bill_payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "status": "SUCCESS",
    "upload_job_id": "xQm2K441VosP8W4",
    "data": [
      {
        "job_id": "aXI9pUDA5T7E2LS",
        "status": "success",
        "response": {
          "platform_id": "3770712000001669018",
          "payment_id": "3770712000001669016",
          "bill_id": "3770712000000319001",
          "contact_id": "3770712000000209007",
          "credit_note_id": "3770712000001669016",
          "account_id": "3770712000000000361",
          "currency_id": "3770712000000000099",
          "amount": 1234,
          "payment_date": "2023-03-01T00:00:00.000Z",
          "payment_mode": "Cash",
          "currency_rate": 12,
          "document_number": "S69",
          "memo": "Payment for the Bill",
          "updated_at": "2023-11-01T00:00:00.000Z",
          "raw_data": {
            "platform_id": "123456",
            "nominal_code": "Rootfi 01",
            "name": "Test Account",
            "description": "Test Description",
            "category": "LIABILITY",
            "sub_category": "Long Term Liabilities",
            "status": "ACTIVE"
          }
        },
        "error": null
      }
    ]
  },
  "request_timestamp": "2021-09-28T15:00:00.000Z",
  "response_timestamp": "2021-09-28T15:00:00.000Z",
  "request_id": "b2e791f5-7384-4e4f-800f-5c032f6bb61b"
}
The Bill Payments Data Model is designed to standardise and simplify the management of bill payment information across various accounting platforms.

Additional Required Fields

To successfully create a bill payment, certain fields must be included in the raw_data object of the request body. The required fields are as follows:
IntegrationFieldDescription
MS_DYNAMICS_365payment_journal_idThe ID of the payment journal.

Authorizations

api_key
string
header
required

Body

application/json
company_id
integer
required
Example:

1

data
accountingtypesBillPaymentsWriteRequestFields · object[]
required

Response

200 - application/json
data
accountingtypesCreateBillpaymentResponseData · object
required
request_timestamp
string<date-time>
required

The time at which the request was received by the server

response_timestamp
string<date-time>
required

The time at which the response was sent by the server

request_id
string
required

The unique ID of the request